import java.util.Scanner;
public class quiz1
{
  public static void main(String args[])
  {
    Scanner teclado=new Scanner(System.in);
    System.out.println("Tablas de operadores");
    int opcion=1;
    double valorminimo=0.0;
    double valormaximo=0.0;
    double incremento=0.0;
    
    while (opcion!=0)
    {
      System.out.print("operador[1=+  2=-  3=*  4=/  5=%  0=Salir]");
      opcion = teclado.nextInt();
      
      switch(opcion)
      {
        case 1:
          System.out.println("Valor minimo:");
          valorminimo=teclado.nextDouble();
          System.out.println("Valor maximo");
          valormaximo=teclado.nextDouble();
          System.out.println("Incremento");
          incremento=teclado.nextDouble();
          
          while(incremento==0||incremento<0)
          {
            System.out.println("Incremento");
            incremento=teclado.nextDouble();  
          }
          
          System.out.printf("%4s","+ |");
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento)
          {
            System.out.printf("%10.1f",fila);   
          }
          System.out.println();
          System.out.print("---");
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento)
          {
            System.out.print("----------");   
          }
          
          System.out.println();
          
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento )
          {
            System.out.print(fila+"|");
            for ( double columna = valorminimo; columna <= valormaximo; columna=columna+incremento )
              System.out.printf("%10.1f",fila+columna);
            
            System.out.println();
          }
          
          break;
          
        case 2 :
          System.out.println("Valor minimo:");
          valorminimo=teclado.nextDouble();
          System.out.println("Valor maximo");
          valormaximo=teclado.nextDouble();
          System.out.println("Incremento");
          incremento=teclado.nextDouble();
          
          while(incremento==0||incremento<0)
          {
            System.out.println("Incremento");
            incremento=teclado.nextDouble();
          }
           System.out.printf("%4s","- |");
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento)
          {
            System.out.printf("%10.1f",fila);  
          }
          System.out.println();
          System.out.print("---");
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento)
          {
            System.out.print("----------");  
          }
          
          System.out.println();
          
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento )
          {
            System.out.print(fila+"|");
            for ( double columna = valorminimo; columna <= valormaximo; columna=columna+incremento )
              System.out.printf("%10.1f",fila-columna);
            
            System.out.println();
          }
          
          break;
          
        case 3 :
          System.out.println("Valor minimo:");
          valorminimo=teclado.nextDouble();
          System.out.println("Valor maximo");
          valormaximo=teclado.nextDouble();
          System.out.println("Incremento");
          incremento=teclado.nextDouble();
          
          while(incremento==0||incremento<0)
          {
            System.out.println("Incremento");
            incremento=teclado.nextDouble();
          }
           System.out.printf("%4s","* |");
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento)
          {
            System.out.printf("%10.1f",fila);   
          }
          System.out.println();
          System.out.print("---");
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento)
          {
            System.out.print("----------"); 
          }
          
          System.out.println();
          
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento )
          {
             System.out.print(fila+"|");
            for ( double columna = valorminimo; columna <= valormaximo; columna=columna+incremento )
              System.out.printf("%10.1f",fila*columna);
            
            System.out.println();
          }
          
          break;
          
        case 4 :
          System.out.println("Valor minimo:");
          valorminimo=teclado.nextDouble();
          System.out.println("Valor maximo");
          valormaximo=teclado.nextDouble();
          System.out.println("Incremento");
          incremento=teclado.nextDouble();
          
          while(incremento==0||incremento<0)
          {
            System.out.println("Incremento");
            incremento=teclado.nextDouble();
          }
           System.out.printf("%4s","/ |");
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento)
          {
            System.out.printf("%10.1f",fila);           
          }
          System.out.println();
          System.out.print("---");
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento)
          {
            System.out.print("----------");            
          }
          
          System.out.println();
          
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento )
          {
             System.out.print(fila+"|");
            for ( double columna = valorminimo; columna <= valormaximo; columna=columna+incremento )
              System.out.printf("%10.1f",fila/columna);
            
            System.out.println();
          }
          
          break;
          
        case 5 :
          System.out.println("Valor minimo:");
          valorminimo=teclado.nextDouble();
          System.out.println("Valor maximo");
          valormaximo=teclado.nextDouble();
          System.out.println("Incremento");
          incremento=teclado.nextDouble();
          
          while(incremento==0||incremento<0)
          {
            System.out.println("Incremento");
            incremento=teclado.nextDouble();
          }
           System.out.printf("%4s","% |");
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento)
          {
            System.out.printf("%10.1f",fila);          
          }
          System.out.println();
          System.out.print("---");
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento)
          {
            System.out.print("----------");           
          }
          
          System.out.println();
          for ( double fila = valorminimo; fila <=valormaximo; fila=fila+incremento )
          {
            System.out.print(fila+"|");
            for ( double columna = valorminimo; columna <= valormaximo; columna=columna+incremento )
              System.out.printf("%10.1f",fila%columna);
            
            System.out.println();
          }
          
          break;
      }     
    }
  }
}